/* SPDX-License-Identifier: GPL-2.0 */
/*
 * VXD DEC Common low level core interface component
 *
 * Copyright (c) Imagination Technologies Ltd.
 * Copyright (c) 2018 Texas Instruments Incorporated - http://www.ti.com/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation version 2.
 *
 * This program is distributed "as is" WITHOUT ANY WARRANTY of any
 * kind, whether express or implied; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#ifndef __PVDEC_ENTROPY_REGS_H__
#define __PVDEC_ENTROPY_REGS_H__

#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_EMULATION_COUNT_OFFSET		(0x004C)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_EMULATION_COUNT_STRIDE		(16)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_EMULATION_COUNT_NO_ENTRIES		(2)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SHIFTREG_EMULATION_COUNT, SR_BIT_OFFSET
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_EMULATION_COUNT_SR_BIT_OFFSET_MASK		(0x07000000)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_EMULATION_COUNT_SR_BIT_OFFSET_LSBMASK		(0x00000007)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_EMULATION_COUNT_SR_BIT_OFFSET_SHIFT		(24)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_EMULATION_COUNT_SR_BIT_OFFSET_LENGTH		(3)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_EMULATION_COUNT_SR_BIT_OFFSET_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_EMULATION_COUNT_SR_BIT_OFFSET_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SHIFTREG_EMULATION_COUNT, SR_EMULATION_COUNT
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_EMULATION_COUNT_SR_EMULATION_COUNT_MASK		(0x00FFFFFF)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_EMULATION_COUNT_SR_EMULATION_COUNT_LSBMASK		(0x00FFFFFF)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_EMULATION_COUNT_SR_EMULATION_COUNT_SHIFT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_EMULATION_COUNT_SR_EMULATION_COUNT_LENGTH		(24)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_EMULATION_COUNT_SR_EMULATION_COUNT_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_EMULATION_COUNT_SR_EMULATION_COUNT_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_STREAMIN_OFFSET		(0x0048)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_STREAMIN_STRIDE		(16)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_STREAMIN_NO_ENTRIES		(2)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SHIFTREG_STREAMIN, SR_STREAMIN
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_STREAMIN_SR_STREAMIN_MASK		(0x000000FF)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_STREAMIN_SR_STREAMIN_LSBMASK		(0x000000FF)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_STREAMIN_SR_STREAMIN_SHIFT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_STREAMIN_SR_STREAMIN_LENGTH		(8)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_STREAMIN_SR_STREAMIN_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_STREAMIN_SR_STREAMIN_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_BYTE_COUNT_OFFSET		(0x0044)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_BYTE_COUNT_STRIDE		(16)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_BYTE_COUNT_NO_ENTRIES		(2)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SHIFTREG_BYTE_COUNT, SR_BYTE_COUNT
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_BYTE_COUNT_SR_BYTE_COUNT_MASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_BYTE_COUNT_SR_BYTE_COUNT_LSBMASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_BYTE_COUNT_SR_BYTE_COUNT_SHIFT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_BYTE_COUNT_SR_BYTE_COUNT_LENGTH		(32)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_BYTE_COUNT_SR_BYTE_COUNT_DEFAULT		(16777215)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_BYTE_COUNT_SR_BYTE_COUNT_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_OFFSET		(0x0040)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_STRIDE		(16)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_NO_ENTRIES		(2)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SHIFTREG_CONTROL, SR_CODEC_MODE
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_CODEC_MODE_MASK		(0x000F0000)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_CODEC_MODE_LSBMASK		(0x0000000F)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_CODEC_MODE_SHIFT		(16)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_CODEC_MODE_LENGTH		(4)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_CODEC_MODE_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_CODEC_MODE_SIGNED_FIELD	(IMG_FALSE)

enum PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_CODEC_MODE_ENUM {
	PVDEC_ENTROPY_SR_CODEC_MODE_SR_VP9 = 0xd,
	PVDEC_ENTROPY_SR_CODEC_MODE_SR_HEVC = 0xc,
	PVDEC_ENTROPY_SR_CODEC_MODE_SR_VP8 = 0xb,
	PVDEC_ENTROPY_SR_CODEC_MODE_SR_VP6 = 0xa,
	PVDEC_ENTROPY_SR_CODEC_MODE_SR_RV9 = 0x9,
	PVDEC_ENTROPY_SR_CODEC_MODE_SR_RV8 = 0x8,
	PVDEC_ENTROPY_SR_CODEC_MODE_SR_MPEG1 = 0x7,
	PVDEC_ENTROPY_SR_CODEC_MODE_SR_WMV9 = 0x6,
	PVDEC_ENTROPY_SR_CODEC_MODE_SR_AVS = 0x5,
	PVDEC_ENTROPY_SR_CODEC_MODE_SR_MPEG4 = 0x4,
	PVDEC_ENTROPY_SR_CODEC_MODE_SR_MPEG2 = 0x3,
	PVDEC_ENTROPY_SR_CODEC_MODE_SR_VC1 = 0x2,
	PVDEC_ENTROPY_SR_CODEC_MODE_SR_H264 = 0x1,
	PVDEC_ENTROPY_SR_CODEC_MODE_SR_JPEG = 0x0,
	PVDEC_ENTROPY_SR_CODEC_MODE_SR_FORCE32BITS = 0x7FFFFFFFU
};

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SHIFTREG_CONTROL, SR_BYTE_COUNT_EBDU
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_BYTE_COUNT_EBDU_MASK		(0x00001000)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_BYTE_COUNT_EBDU_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_BYTE_COUNT_EBDU_SHIFT		(12)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_BYTE_COUNT_EBDU_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_BYTE_COUNT_EBDU_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_BYTE_COUNT_EBDU_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SHIFTREG_CONTROL, SR_FILL_IN_ZEROES
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_FILL_IN_ZEROES_MASK		(0x00000800)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_FILL_IN_ZEROES_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_FILL_IN_ZEROES_SHIFT		(11)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_FILL_IN_ZEROES_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_FILL_IN_ZEROES_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_FILL_IN_ZEROES_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SHIFTREG_CONTROL, SR_MASTER_SELECT
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_MASTER_SELECT_MASK		(0x00000300)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_MASTER_SELECT_LSBMASK		(0x00000003)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_MASTER_SELECT_SHIFT		(8)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_MASTER_SELECT_LENGTH		(2)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_MASTER_SELECT_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_MASTER_SELECT_SIGNED_FIELD	(IMG_FALSE)

enum PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_MASTER_SELECT_ENUM {
	PVDEC_ENTROPY_SR_MASTER_SELECT_COPRO = 0x3,
	PVDEC_ENTROPY_SR_MASTER_SELECT_ENTDEC = 0x2,
	PVDEC_ENTROPY_SR_MASTER_SELECT_REGISTER = 0x1,
	PVDEC_ENTROPY_SR_MASTER_SELECT_RESERVED = 0x0,
	PVDEC_ENTROPY_SR_MASTER_SELECT_FORCE32BITS = 0x7FFFFFFFU
};

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SHIFTREG_CONTROL, SR_DISABLE_DMA
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_DISABLE_DMA_MASK		(0x00000080)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_DISABLE_DMA_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_DISABLE_DMA_SHIFT		(7)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_DISABLE_DMA_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_DISABLE_DMA_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_DISABLE_DMA_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SHIFTREG_CONTROL, SR_FIFO_BYTE_SWAP
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_FIFO_BYTE_SWAP_MASK		(0x00000040)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_FIFO_BYTE_SWAP_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_FIFO_BYTE_SWAP_SHIFT		(6)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_FIFO_BYTE_SWAP_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_FIFO_BYTE_SWAP_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_FIFO_BYTE_SWAP_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SHIFTREG_CONTROL, SR_FIFO_MODE
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_FIFO_MODE_MASK		(0x00000020)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_FIFO_MODE_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_FIFO_MODE_SHIFT		(5)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_FIFO_MODE_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_FIFO_MODE_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_FIFO_MODE_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SHIFTREG_CONTROL, SR_RBDU_EXTRACT
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_RBDU_EXTRACT_MASK		(0x00000008)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_RBDU_EXTRACT_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_RBDU_EXTRACT_SHIFT		(3)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_RBDU_EXTRACT_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_RBDU_EXTRACT_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_RBDU_EXTRACT_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SHIFTREG_CONTROL, SR_READ_MODE
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_READ_MODE_MASK		(0x00000004)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_READ_MODE_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_READ_MODE_SHIFT		(2)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_READ_MODE_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_READ_MODE_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_READ_MODE_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SHIFTREG_CONTROL, SR_PREEMPT
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_PREEMPT_MASK		(0x00000002)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_PREEMPT_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_PREEMPT_SHIFT		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_PREEMPT_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_PREEMPT_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_PREEMPT_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SHIFTREG_CONTROL, SR_SW_RESET
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_SW_RESET_MASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_SW_RESET_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_SW_RESET_SHIFT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_SW_RESET_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_SW_RESET_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_CONTROL_SR_SW_RESET_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_GENC_BUFFER_SIZE_OFFSET		(0x0100)
#define PVDEC_ENTROPY_CR_GENC_BUFFER_SIZE_STRIDE		(4)
#define PVDEC_ENTROPY_CR_GENC_BUFFER_SIZE_NO_ENTRIES		(4)

/*
 * PVDEC_ENTROPY, CR_GENC_BUFFER_SIZE, GENC_BUFFER_SIZE
 */
#define PVDEC_ENTROPY_CR_GENC_BUFFER_SIZE_GENC_BUFFER_SIZE_MASK		(0x0FFFF000)
#define PVDEC_ENTROPY_CR_GENC_BUFFER_SIZE_GENC_BUFFER_SIZE_LSBMASK		(0x0000FFFF)
#define PVDEC_ENTROPY_CR_GENC_BUFFER_SIZE_GENC_BUFFER_SIZE_SHIFT		(12)
#define PVDEC_ENTROPY_CR_GENC_BUFFER_SIZE_GENC_BUFFER_SIZE_LENGTH		(16)
#define PVDEC_ENTROPY_CR_GENC_BUFFER_SIZE_GENC_BUFFER_SIZE_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_GENC_BUFFER_SIZE_GENC_BUFFER_SIZE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_GENC_BUFFER_BASE_ADDRESS_OFFSET		(0x0110)
#define PVDEC_ENTROPY_CR_GENC_BUFFER_BASE_ADDRESS_STRIDE		(4)
#define PVDEC_ENTROPY_CR_GENC_BUFFER_BASE_ADDRESS_NO_ENTRIES		(4)

/*
 * PVDEC_ENTROPY, CR_GENC_BUFFER_BASE_ADDRESS, GENC_BASE_ADDRESS
 */
#define PVDEC_ENTROPY_CR_GENC_BUFFER_BASE_ADDRESS_GENC_BASE_ADDRESS_MASK		(0xFFFFF000)
#define PVDEC_ENTROPY_CR_GENC_BUFFER_BASE_ADDRESS_GENC_BASE_ADDRESS_LSBMASK		(0x000FFFFF)
#define PVDEC_ENTROPY_CR_GENC_BUFFER_BASE_ADDRESS_GENC_BASE_ADDRESS_SHIFT		(12)
#define PVDEC_ENTROPY_CR_GENC_BUFFER_BASE_ADDRESS_GENC_BASE_ADDRESS_LENGTH		(20)
#define PVDEC_ENTROPY_CR_GENC_BUFFER_BASE_ADDRESS_GENC_BASE_ADDRESS_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_GENC_BUFFER_BASE_ADDRESS_GENC_BASE_ADDRESS_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_GENC_BUFFER_WRITE_POINTER_OFFSET		(0x0120)
#define PVDEC_ENTROPY_CR_GENC_BUFFER_WRITE_POINTER_STRIDE		(4)
#define PVDEC_ENTROPY_CR_GENC_BUFFER_WRITE_POINTER_NO_ENTRIES		(4)

/*
 * PVDEC_ENTROPY, CR_GENC_BUFFER_WRITE_POINTER, GENC_WRITE_POINTER
 */
#define PVDEC_ENTROPY_CR_GENC_BUFFER_WRITE_POINTER_GENC_WRITE_POINTER_MASK		(0x0FFFFFF0)
#define PVDEC_ENTROPY_CR_GENC_BUFFER_WRITE_POINTER_GENC_WRITE_POINTER_LSBMASK		(0x00FFFFFF)
#define PVDEC_ENTROPY_CR_GENC_BUFFER_WRITE_POINTER_GENC_WRITE_POINTER_SHIFT		(4)
#define PVDEC_ENTROPY_CR_GENC_BUFFER_WRITE_POINTER_GENC_WRITE_POINTER_LENGTH		(24)
#define PVDEC_ENTROPY_CR_GENC_BUFFER_WRITE_POINTER_GENC_WRITE_POINTER_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_GENC_BUFFER_WRITE_POINTER_GENC_WRITE_POINTER_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_GENC_BUFFER_READ_POINTER_OFFSET		(0x0130)
#define PVDEC_ENTROPY_CR_GENC_BUFFER_READ_POINTER_STRIDE		(4)
#define PVDEC_ENTROPY_CR_GENC_BUFFER_READ_POINTER_NO_ENTRIES		(4)

/*
 * PVDEC_ENTROPY, CR_GENC_BUFFER_READ_POINTER, GENC_READ_POINTER
 */
#define PVDEC_ENTROPY_CR_GENC_BUFFER_READ_POINTER_GENC_READ_POINTER_MASK		(0x0FFFFFF0)
#define PVDEC_ENTROPY_CR_GENC_BUFFER_READ_POINTER_GENC_READ_POINTER_LSBMASK		(0x00FFFFFF)
#define PVDEC_ENTROPY_CR_GENC_BUFFER_READ_POINTER_GENC_READ_POINTER_SHIFT		(4)
#define PVDEC_ENTROPY_CR_GENC_BUFFER_READ_POINTER_GENC_READ_POINTER_LENGTH		(24)
#define PVDEC_ENTROPY_CR_GENC_BUFFER_READ_POINTER_GENC_READ_POINTER_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_GENC_BUFFER_READ_POINTER_GENC_READ_POINTER_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_GENC_BUFFER_SIGNATURE_OFFSET		(0x01C0)
#define PVDEC_ENTROPY_CR_GENC_BUFFER_SIGNATURE_STRIDE		(4)
#define PVDEC_ENTROPY_CR_GENC_BUFFER_SIGNATURE_NO_ENTRIES		(4)

/*
 * PVDEC_ENTROPY, CR_GENC_BUFFER_SIGNATURE, GENC_BUFFER_SIGNATURE
 */
#define PVDEC_ENTROPY_CR_GENC_BUFFER_SIGNATURE_GENC_BUFFER_SIGNATURE_MASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_GENC_BUFFER_SIGNATURE_GENC_BUFFER_SIGNATURE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_GENC_BUFFER_SIGNATURE_GENC_BUFFER_SIGNATURE_SHIFT		(0)
#define PVDEC_ENTROPY_CR_GENC_BUFFER_SIGNATURE_GENC_BUFFER_SIGNATURE_LENGTH		(32)
#define PVDEC_ENTROPY_CR_GENC_BUFFER_SIGNATURE_GENC_BUFFER_SIGNATURE_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_GENC_BUFFER_SIGNATURE_GENC_BUFFER_SIGNATURE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_SR_SIGNATURE_OFFSET		(0x01E8)
#define PVDEC_ENTROPY_CR_SR_SIGNATURE_STRIDE		(4)
#define PVDEC_ENTROPY_CR_SR_SIGNATURE_NO_ENTRIES		(2)

/*
 * PVDEC_ENTROPY, CR_SR_SIGNATURE, SR_SIGNATURE
 */
#define PVDEC_ENTROPY_CR_SR_SIGNATURE_SR_SIGNATURE_MASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_SR_SIGNATURE_SR_SIGNATURE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_SR_SIGNATURE_SR_SIGNATURE_SHIFT		(0)
#define PVDEC_ENTROPY_CR_SR_SIGNATURE_SR_SIGNATURE_LENGTH		(32)
#define PVDEC_ENTROPY_CR_SR_SIGNATURE_SR_SIGNATURE_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_SR_SIGNATURE_SR_SIGNATURE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_ENTROPY_SOFT_RESET_OFFSET		(0x0000)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SOFT_RESET, CR_ENTROPY_GENC_SOFT_RESET
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SOFT_RESET_CR_ENTROPY_GENC_SOFT_RESET_MASK		(0x00000004)
#define PVDEC_ENTROPY_CR_ENTROPY_SOFT_RESET_CR_ENTROPY_GENC_SOFT_RESET_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_SOFT_RESET_CR_ENTROPY_GENC_SOFT_RESET_SHIFT		(2)
#define PVDEC_ENTROPY_CR_ENTROPY_SOFT_RESET_CR_ENTROPY_GENC_SOFT_RESET_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_SOFT_RESET_CR_ENTROPY_GENC_SOFT_RESET_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SOFT_RESET_CR_ENTROPY_GENC_SOFT_RESET_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SOFT_RESET, CR_ENTROPY_GENC_ENGINE_SOFT_RESET
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SOFT_RESET_CR_ENTROPY_GENC_ENGINE_SOFT_RESET_MASK		(0x00000002)
#define PVDEC_ENTROPY_CR_ENTROPY_SOFT_RESET_CR_ENTROPY_GENC_ENGINE_SOFT_RESET_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_SOFT_RESET_CR_ENTROPY_GENC_ENGINE_SOFT_RESET_SHIFT		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_SOFT_RESET_CR_ENTROPY_GENC_ENGINE_SOFT_RESET_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_SOFT_RESET_CR_ENTROPY_GENC_ENGINE_SOFT_RESET_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SOFT_RESET_CR_ENTROPY_GENC_ENGINE_SOFT_RESET_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SOFT_RESET, CR_ENTROPY_PARSER_SOFT_RESET
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SOFT_RESET_CR_ENTROPY_PARSER_SOFT_RESET_MASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_SOFT_RESET_CR_ENTROPY_PARSER_SOFT_RESET_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_SOFT_RESET_CR_ENTROPY_PARSER_SOFT_RESET_SHIFT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SOFT_RESET_CR_ENTROPY_PARSER_SOFT_RESET_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_SOFT_RESET_CR_ENTROPY_PARSER_SOFT_RESET_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SOFT_RESET_CR_ENTROPY_PARSER_SOFT_RESET_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_OFFSET		(0x0008)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_INTERRUPT_STATUS, BACKWARD_UPDATE_COMPLETE
 */
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_BACKWARD_UPDATE_COMPLETE_MASK		(0x02000000)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_BACKWARD_UPDATE_COMPLETE_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_BACKWARD_UPDATE_COMPLETE_SHIFT		(25)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_BACKWARD_UPDATE_COMPLETE_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_BACKWARD_UPDATE_COMPLETE_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_BACKWARD_UPDATE_COMPLETE_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_INTERRUPT_STATUS, HEADER_PARSE_COMPLETE
 */
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_HEADER_PARSE_COMPLETE_MASK		(0x01000000)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_HEADER_PARSE_COMPLETE_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_HEADER_PARSE_COMPLETE_SHIFT		(24)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_HEADER_PARSE_COMPLETE_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_HEADER_PARSE_COMPLETE_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_HEADER_PARSE_COMPLETE_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_INTERRUPT_STATUS, ENTROPY_WDT_CM1_IRQ
 */
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_WDT_CM1_IRQ_MASK		(0x00020000)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_WDT_CM1_IRQ_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_WDT_CM1_IRQ_SHIFT		(17)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_WDT_CM1_IRQ_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_WDT_CM1_IRQ_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_WDT_CM1_IRQ_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_INTERRUPT_STATUS, ENTROPY_WDT_CM0_IRQ
 */
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_WDT_CM0_IRQ_MASK		(0x00010000)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_WDT_CM0_IRQ_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_WDT_CM0_IRQ_SHIFT		(16)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_WDT_CM0_IRQ_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_WDT_CM0_IRQ_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_WDT_CM0_IRQ_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_INTERRUPT_STATUS, ENTROPY_GENC_FULL
 */
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_GENC_FULL_MASK		(0x00000F00)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_GENC_FULL_LSBMASK		(0x0000000F)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_GENC_FULL_SHIFT		(8)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_GENC_FULL_LENGTH		(4)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_GENC_FULL_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_GENC_FULL_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_INTERRUPT_STATUS, ENTROPY_FRAGMENT_SLICE_COMPLETE
 */
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_FRAGMENT_SLICE_COMPLETE_MASK		(0x00000080)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_FRAGMENT_SLICE_COMPLETE_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_FRAGMENT_SLICE_COMPLETE_SHIFT		(7)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_FRAGMENT_SLICE_COMPLETE_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_FRAGMENT_SLICE_COMPLETE_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_FRAGMENT_SLICE_COMPLETE_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_INTERRUPT_STATUS, ENTROPY_FRAGMENT_ROW_COMPLETE
 */
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_FRAGMENT_ROW_COMPLETE_MASK		(0x00000040)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_FRAGMENT_ROW_COMPLETE_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_FRAGMENT_ROW_COMPLETE_SHIFT		(6)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_FRAGMENT_ROW_COMPLETE_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_FRAGMENT_ROW_COMPLETE_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_FRAGMENT_ROW_COMPLETE_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_INTERRUPT_STATUS, ENTROPY_DMAC_IRQ
 */
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_DMAC_IRQ_MASK		(0x00000030)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_DMAC_IRQ_LSBMASK		(0x00000003)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_DMAC_IRQ_SHIFT		(4)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_DMAC_IRQ_LENGTH		(2)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_DMAC_IRQ_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_DMAC_IRQ_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_INTERRUPT_STATUS, ENTROPY_ERROR_FRAGMENT_DONE
 */
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_ERROR_FRAGMENT_DONE_MASK		(0x00000008)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_ERROR_FRAGMENT_DONE_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_ERROR_FRAGMENT_DONE_SHIFT		(3)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_ERROR_FRAGMENT_DONE_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_ERROR_FRAGMENT_DONE_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_ERROR_FRAGMENT_DONE_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_INTERRUPT_STATUS, ENTROPY_ERROR_DETECTED_PARSER
 */
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_ERROR_DETECTED_PARSER_MASK		(0x00000004)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_ERROR_DETECTED_PARSER_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_ERROR_DETECTED_PARSER_SHIFT		(2)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_ERROR_DETECTED_PARSER_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_ERROR_DETECTED_PARSER_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_ERROR_DETECTED_PARSER_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_INTERRUPT_STATUS, ENTROPY_ERROR_DETECTED_SR
 */
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_ERROR_DETECTED_SR_MASK		(0x00000002)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_ERROR_DETECTED_SR_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_ERROR_DETECTED_SR_SHIFT		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_ERROR_DETECTED_SR_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_ERROR_DETECTED_SR_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_ERROR_DETECTED_SR_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_INTERRUPT_STATUS, ENTROPY_END_OF_SLICE
 */
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_END_OF_SLICE_MASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_END_OF_SLICE_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_END_OF_SLICE_SHIFT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_END_OF_SLICE_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_END_OF_SLICE_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_STATUS_ENTROPY_END_OF_SLICE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_CLEAR_OFFSET		(0x000C)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_INTERRUPT_CLEAR, ENTROPY_IRQ_CLEAR
 */
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_CLEAR_ENTROPY_IRQ_CLEAR_MASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_CLEAR_ENTROPY_IRQ_CLEAR_LSBMASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_CLEAR_ENTROPY_IRQ_CLEAR_SHIFT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_CLEAR_ENTROPY_IRQ_CLEAR_LENGTH		(32)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_CLEAR_ENTROPY_IRQ_CLEAR_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_INTERRUPT_CLEAR_ENTROPY_IRQ_CLEAR_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_ENTROPY_HOST_INTERRUPT_ENABLE_OFFSET		(0x0010)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_HOST_INTERRUPT_ENABLE, CR_HOST_IRQ_ENABLE
 */
#define PVDEC_ENTROPY_CR_ENTROPY_HOST_INTERRUPT_ENABLE_CR_HOST_IRQ_ENABLE_MASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_ENTROPY_HOST_INTERRUPT_ENABLE_CR_HOST_IRQ_ENABLE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_ENTROPY_HOST_INTERRUPT_ENABLE_CR_HOST_IRQ_ENABLE_SHIFT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_HOST_INTERRUPT_ENABLE_CR_HOST_IRQ_ENABLE_LENGTH		(32)
#define PVDEC_ENTROPY_CR_ENTROPY_HOST_INTERRUPT_ENABLE_CR_HOST_IRQ_ENABLE_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_HOST_INTERRUPT_ENABLE_CR_HOST_IRQ_ENABLE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_ENTROPY_PROC1_INTERRUPT_ENABLE_OFFSET		(0x0014)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_PROC1_INTERRUPT_ENABLE, CR_PROC1_IRQ_ENABLE
 */
#define PVDEC_ENTROPY_CR_ENTROPY_PROC1_INTERRUPT_ENABLE_CR_PROC1_IRQ_ENABLE_MASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_ENTROPY_PROC1_INTERRUPT_ENABLE_CR_PROC1_IRQ_ENABLE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_ENTROPY_PROC1_INTERRUPT_ENABLE_CR_PROC1_IRQ_ENABLE_SHIFT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_PROC1_INTERRUPT_ENABLE_CR_PROC1_IRQ_ENABLE_LENGTH		(32)
#define PVDEC_ENTROPY_CR_ENTROPY_PROC1_INTERRUPT_ENABLE_CR_PROC1_IRQ_ENABLE_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_PROC1_INTERRUPT_ENABLE_CR_PROC1_IRQ_ENABLE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_ENTROPY_PROC2_INTERRUPT_ENABLE_OFFSET		(0x0018)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_PROC2_INTERRUPT_ENABLE, CR_PROC2_IRQ_ENABLE
 */
#define PVDEC_ENTROPY_CR_ENTROPY_PROC2_INTERRUPT_ENABLE_CR_PROC2_IRQ_ENABLE_MASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_ENTROPY_PROC2_INTERRUPT_ENABLE_CR_PROC2_IRQ_ENABLE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_ENTROPY_PROC2_INTERRUPT_ENABLE_CR_PROC2_IRQ_ENABLE_SHIFT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_PROC2_INTERRUPT_ENABLE_CR_PROC2_IRQ_ENABLE_LENGTH		(32)
#define PVDEC_ENTROPY_CR_ENTROPY_PROC2_INTERRUPT_ENABLE_CR_PROC2_IRQ_ENABLE_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_PROC2_INTERRUPT_ENABLE_CR_PROC2_IRQ_ENABLE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_ENTROPY_MAN_CLK_ENABLE_OFFSET		(0x0020)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_MAN_CLK_ENABLE, CR_ENTROPY_HEVC_MAN_CLK_ENABLE
 */
#define PVDEC_ENTROPY_CR_ENTROPY_MAN_CLK_ENABLE_CR_ENTROPY_HEVC_MAN_CLK_ENABLE_MASK		(0x00000004)
#define PVDEC_ENTROPY_CR_ENTROPY_MAN_CLK_ENABLE_CR_ENTROPY_HEVC_MAN_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_MAN_CLK_ENABLE_CR_ENTROPY_HEVC_MAN_CLK_ENABLE_SHIFT		(2)
#define PVDEC_ENTROPY_CR_ENTROPY_MAN_CLK_ENABLE_CR_ENTROPY_HEVC_MAN_CLK_ENABLE_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_MAN_CLK_ENABLE_CR_ENTROPY_HEVC_MAN_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_MAN_CLK_ENABLE_CR_ENTROPY_HEVC_MAN_CLK_ENABLE_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_MAN_CLK_ENABLE, CR_ENTROPY_REG_MAN_CLK_ENABLE
 */
#define PVDEC_ENTROPY_CR_ENTROPY_MAN_CLK_ENABLE_CR_ENTROPY_REG_MAN_CLK_ENABLE_MASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_MAN_CLK_ENABLE_CR_ENTROPY_REG_MAN_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_MAN_CLK_ENABLE_CR_ENTROPY_REG_MAN_CLK_ENABLE_SHIFT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_MAN_CLK_ENABLE_CR_ENTROPY_REG_MAN_CLK_ENABLE_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_MAN_CLK_ENABLE_CR_ENTROPY_REG_MAN_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_MAN_CLK_ENABLE_CR_ENTROPY_REG_MAN_CLK_ENABLE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_ENTROPY_AUTO_CLK_ENABLE_OFFSET		(0x0024)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_AUTO_CLK_ENABLE, CR_ENTROPY_HEVC_AUTO_CLK_ENABLE
 */
#define PVDEC_ENTROPY_CR_ENTROPY_AUTO_CLK_ENABLE_CR_ENTROPY_HEVC_AUTO_CLK_ENABLE_MASK		(0x00000004)
#define PVDEC_ENTROPY_CR_ENTROPY_AUTO_CLK_ENABLE_CR_ENTROPY_HEVC_AUTO_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_AUTO_CLK_ENABLE_CR_ENTROPY_HEVC_AUTO_CLK_ENABLE_SHIFT		(2)
#define PVDEC_ENTROPY_CR_ENTROPY_AUTO_CLK_ENABLE_CR_ENTROPY_HEVC_AUTO_CLK_ENABLE_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_AUTO_CLK_ENABLE_CR_ENTROPY_HEVC_AUTO_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_AUTO_CLK_ENABLE_CR_ENTROPY_HEVC_AUTO_CLK_ENABLE_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_AUTO_CLK_ENABLE, CR_ENTROPY_REG_AUTO_CLK_ENABLE
 */
#define PVDEC_ENTROPY_CR_ENTROPY_AUTO_CLK_ENABLE_CR_ENTROPY_REG_AUTO_CLK_ENABLE_MASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_AUTO_CLK_ENABLE_CR_ENTROPY_REG_AUTO_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_AUTO_CLK_ENABLE_CR_ENTROPY_REG_AUTO_CLK_ENABLE_SHIFT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_AUTO_CLK_ENABLE_CR_ENTROPY_REG_AUTO_CLK_ENABLE_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_AUTO_CLK_ENABLE_CR_ENTROPY_REG_AUTO_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_AUTO_CLK_ENABLE_CR_ENTROPY_REG_AUTO_CLK_ENABLE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_ENTROPY_CLK_STATUS_OFFSET		(0x0028)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_CLK_STATUS, CR_ENTROPY_HEVC_CLK_STATUS
 */
#define PVDEC_ENTROPY_CR_ENTROPY_CLK_STATUS_CR_ENTROPY_HEVC_CLK_STATUS_MASK		(0x00000004)
#define PVDEC_ENTROPY_CR_ENTROPY_CLK_STATUS_CR_ENTROPY_HEVC_CLK_STATUS_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_CLK_STATUS_CR_ENTROPY_HEVC_CLK_STATUS_SHIFT		(2)
#define PVDEC_ENTROPY_CR_ENTROPY_CLK_STATUS_CR_ENTROPY_HEVC_CLK_STATUS_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_CLK_STATUS_CR_ENTROPY_HEVC_CLK_STATUS_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_CLK_STATUS_CR_ENTROPY_HEVC_CLK_STATUS_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_CLK_STATUS, CR_ENTROPY_REG_CLK_STATUS
 */
#define PVDEC_ENTROPY_CR_ENTROPY_CLK_STATUS_CR_ENTROPY_REG_CLK_STATUS_MASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_CLK_STATUS_CR_ENTROPY_REG_CLK_STATUS_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_CLK_STATUS_CR_ENTROPY_REG_CLK_STATUS_SHIFT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_CLK_STATUS_CR_ENTROPY_REG_CLK_STATUS_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_CLK_STATUS_CR_ENTROPY_REG_CLK_STATUS_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_CLK_STATUS_CR_ENTROPY_REG_CLK_STATUS_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_OFFSET		(0x0030)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_WDT_CONTROL, ENTROPY_WDT_CNT_CTRL
 */
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_ENTROPY_WDT_CNT_CTRL_MASK		(0x00060000)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_ENTROPY_WDT_CNT_CTRL_LSBMASK		(0x00000003)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_ENTROPY_WDT_CNT_CTRL_SHIFT		(17)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_ENTROPY_WDT_CNT_CTRL_LENGTH		(2)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_ENTROPY_WDT_CNT_CTRL_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_ENTROPY_WDT_CNT_CTRL_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_WDT_CONTROL, ENTROPY_WDT_ENABLE
 */
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_ENTROPY_WDT_ENABLE_MASK		(0x00010000)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_ENTROPY_WDT_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_ENTROPY_WDT_ENABLE_SHIFT		(16)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_ENTROPY_WDT_ENABLE_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_ENTROPY_WDT_ENABLE_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_ENTROPY_WDT_ENABLE_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_WDT_CONTROL, ENTROPY_WDT_ACTION1
 */
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_ENTROPY_WDT_ACTION1_MASK		(0x00003000)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_ENTROPY_WDT_ACTION1_LSBMASK		(0x00000003)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_ENTROPY_WDT_ACTION1_SHIFT		(12)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_ENTROPY_WDT_ACTION1_LENGTH		(2)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_ENTROPY_WDT_ACTION1_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_ENTROPY_WDT_ACTION1_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_WDT_CONTROL, ENTROPY_WDT_ACTION0
 */
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_ENTROPY_WDT_ACTION0_MASK		(0x00000100)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_ENTROPY_WDT_ACTION0_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_ENTROPY_WDT_ACTION0_SHIFT		(8)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_ENTROPY_WDT_ACTION0_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_ENTROPY_WDT_ACTION0_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_ENTROPY_WDT_ACTION0_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_WDT_CONTROL, ENTROPY_WDT_CLEAR_SELECT
 */
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_ENTROPY_WDT_CLEAR_SELECT_MASK		(0x00000030)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_ENTROPY_WDT_CLEAR_SELECT_LSBMASK		(0x00000003)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_ENTROPY_WDT_CLEAR_SELECT_SHIFT		(4)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_ENTROPY_WDT_CLEAR_SELECT_LENGTH		(2)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_ENTROPY_WDT_CLEAR_SELECT_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_ENTROPY_WDT_CLEAR_SELECT_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_WDT_CONTROL, ENTROPY_WDT_CLKDIV_SELECT
 */
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_ENTROPY_WDT_CLKDIV_SELECT_MASK		(0x00000007)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_ENTROPY_WDT_CLKDIV_SELECT_LSBMASK		(0x00000007)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_ENTROPY_WDT_CLKDIV_SELECT_SHIFT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_ENTROPY_WDT_CLKDIV_SELECT_LENGTH		(3)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_ENTROPY_WDT_CLKDIV_SELECT_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_CONTROL_ENTROPY_WDT_CLKDIV_SELECT_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_ENTROPY_WDTIMER_OFFSET		(0x0034)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_WDTIMER, ENTROPY_WDT_COUNTER
 */
#define PVDEC_ENTROPY_CR_ENTROPY_WDTIMER_ENTROPY_WDT_COUNTER_MASK		(0x0000FFFF)
#define PVDEC_ENTROPY_CR_ENTROPY_WDTIMER_ENTROPY_WDT_COUNTER_LSBMASK		(0x0000FFFF)
#define PVDEC_ENTROPY_CR_ENTROPY_WDTIMER_ENTROPY_WDT_COUNTER_SHIFT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_WDTIMER_ENTROPY_WDT_COUNTER_LENGTH		(16)
#define PVDEC_ENTROPY_CR_ENTROPY_WDTIMER_ENTROPY_WDT_COUNTER_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_WDTIMER_ENTROPY_WDT_COUNTER_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_ENTROPY_WDT_COMPAREMATCH_OFFSET		(0x0038)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_WDT_COMPAREMATCH, ENTROPY_WDT_CM1
 */
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_COMPAREMATCH_ENTROPY_WDT_CM1_MASK		(0xFFFF0000)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_COMPAREMATCH_ENTROPY_WDT_CM1_LSBMASK		(0x0000FFFF)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_COMPAREMATCH_ENTROPY_WDT_CM1_SHIFT		(16)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_COMPAREMATCH_ENTROPY_WDT_CM1_LENGTH		(16)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_COMPAREMATCH_ENTROPY_WDT_CM1_DEFAULT		(65535)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_COMPAREMATCH_ENTROPY_WDT_CM1_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_WDT_COMPAREMATCH, ENTROPY_WDT_CM0
 */
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_COMPAREMATCH_ENTROPY_WDT_CM0_MASK		(0x0000FFFF)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_COMPAREMATCH_ENTROPY_WDT_CM0_LSBMASK		(0x0000FFFF)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_COMPAREMATCH_ENTROPY_WDT_CM0_SHIFT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_COMPAREMATCH_ENTROPY_WDT_CM0_LENGTH		(16)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_COMPAREMATCH_ENTROPY_WDT_CM0_DEFAULT		(65535)
#define PVDEC_ENTROPY_CR_ENTROPY_WDT_COMPAREMATCH_ENTROPY_WDT_CM0_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_SELECT_OFFSET		(0x003C)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SHIFTREG_SELECT, SR_ENTDEC_SELECTOR
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_SELECT_SR_ENTDEC_SELECTOR_MASK		(0x00010000)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_SELECT_SR_ENTDEC_SELECTOR_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_SELECT_SR_ENTDEC_SELECTOR_SHIFT		(16)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_SELECT_SR_ENTDEC_SELECTOR_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_SELECT_SR_ENTDEC_SELECTOR_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_SELECT_SR_ENTDEC_SELECTOR_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SHIFTREG_SELECT, SR_COPRO_SELECTOR
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_SELECT_SR_COPRO_SELECTOR_MASK		(0x00000100)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_SELECT_SR_COPRO_SELECTOR_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_SELECT_SR_COPRO_SELECTOR_SHIFT		(8)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_SELECT_SR_COPRO_SELECTOR_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_SELECT_SR_COPRO_SELECTOR_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_SELECT_SR_COPRO_SELECTOR_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SHIFTREG_SELECT, SR_REGIF_SELECTOR
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_SELECT_SR_REGIF_SELECTOR_MASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_SELECT_SR_REGIF_SELECTOR_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_SELECT_SR_REGIF_SELECTOR_SHIFT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_SELECT_SR_REGIF_SELECTOR_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_SELECT_SR_REGIF_SELECTOR_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_SELECT_SR_REGIF_SELECTOR_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_OFFSET		(0x0060)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD, SR_RESP_VALID
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_RESP_VALID_MASK		(0x80000000)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_RESP_VALID_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_RESP_VALID_SHIFT		(31)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_RESP_VALID_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_RESP_VALID_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_RESP_VALID_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD, SR_SW_RESET_ACTIVE
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_SW_RESET_ACTIVE_MASK		(0x40000000)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_SW_RESET_ACTIVE_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_SW_RESET_ACTIVE_SHIFT		(30)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_SW_RESET_ACTIVE_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_SW_RESET_ACTIVE_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_SW_RESET_ACTIVE_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD, SR_BYTE_ALIGNED
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_BYTE_ALIGNED_MASK		(0x00000010)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_BYTE_ALIGNED_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_BYTE_ALIGNED_SHIFT		(4)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_BYTE_ALIGNED_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_BYTE_ALIGNED_DEFAULT		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_BYTE_ALIGNED_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD, SR_MORE_RBSP
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_MORE_RBSP_MASK		(0x00000008)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_MORE_RBSP_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_MORE_RBSP_SHIFT		(3)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_MORE_RBSP_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_MORE_RBSP_DEFAULT		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_MORE_RBSP_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD, SR_RESP_EXPG_ERROR
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_RESP_EXPG_ERROR_MASK		(0x00000004)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_RESP_EXPG_ERROR_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_RESP_EXPG_ERROR_SHIFT		(2)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_RESP_EXPG_ERROR_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_RESP_EXPG_ERROR_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_RESP_EXPG_ERROR_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD, SR_RESP_SCP_OR_EOD
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_RESP_SCP_OR_EOD_MASK		(0x00000002)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_RESP_SCP_OR_EOD_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_RESP_SCP_OR_EOD_SHIFT		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_RESP_SCP_OR_EOD_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_RESP_SCP_OR_EOD_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_RESP_SCP_OR_EOD_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD, SR_RESP_PREEMPTED
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_RESP_PREEMPTED_MASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_RESP_PREEMPTED_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_RESP_PREEMPTED_SHIFT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_RESP_PREEMPTED_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_RESP_PREEMPTED_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_MSWRD_SR_RESP_PREEMPTED_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_LSWRD_OFFSET		(0x0064)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SHIFTREG_COPRO_RESP_LSWRD, SR_RESP_VALUE
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_LSWRD_SR_RESP_VALUE_MASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_LSWRD_SR_RESP_VALUE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_LSWRD_SR_RESP_VALUE_SHIFT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_LSWRD_SR_RESP_VALUE_LENGTH		(32)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_LSWRD_SR_RESP_VALUE_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_RESP_LSWRD_SR_RESP_VALUE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_CMD_MSWRD_OFFSET		(0x0068)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SHIFTREG_COPRO_CMD_MSWRD, SR_READ_PEEK_EXT
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_CMD_MSWRD_SR_READ_PEEK_EXT_MASK		(0x00004000)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_CMD_MSWRD_SR_READ_PEEK_EXT_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_CMD_MSWRD_SR_READ_PEEK_EXT_SHIFT		(14)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_CMD_MSWRD_SR_READ_PEEK_EXT_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_CMD_MSWRD_SR_READ_PEEK_EXT_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_CMD_MSWRD_SR_READ_PEEK_EXT_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SHIFTREG_COPRO_CMD_MSWRD, SR_PRE_FLUSH
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_CMD_MSWRD_SR_PRE_FLUSH_MASK		(0x00001F00)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_CMD_MSWRD_SR_PRE_FLUSH_LSBMASK		(0x0000001F)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_CMD_MSWRD_SR_PRE_FLUSH_SHIFT		(8)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_CMD_MSWRD_SR_PRE_FLUSH_LENGTH		(5)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_CMD_MSWRD_SR_PRE_FLUSH_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_CMD_MSWRD_SR_PRE_FLUSH_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SHIFTREG_COPRO_CMD_MSWRD, SR_READ_PEEK
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_CMD_MSWRD_SR_READ_PEEK_MASK		(0x000000F8)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_CMD_MSWRD_SR_READ_PEEK_LSBMASK		(0x0000001F)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_CMD_MSWRD_SR_READ_PEEK_SHIFT		(3)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_CMD_MSWRD_SR_READ_PEEK_LENGTH		(5)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_CMD_MSWRD_SR_READ_PEEK_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_CMD_MSWRD_SR_READ_PEEK_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SHIFTREG_COPRO_CMD_MSWRD, SR_ACCESS_MODE
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_CMD_MSWRD_SR_ACCESS_MODE_MASK		(0x00000007)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_CMD_MSWRD_SR_ACCESS_MODE_LSBMASK		(0x00000007)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_CMD_MSWRD_SR_ACCESS_MODE_SHIFT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_CMD_MSWRD_SR_ACCESS_MODE_LENGTH		(3)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_CMD_MSWRD_SR_ACCESS_MODE_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SHIFTREG_COPRO_CMD_MSWRD_SR_ACCESS_MODE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_ENTROPY_GENC_CONTROL_OFFSET		(0x0080)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_GENC_CONTROL, GENC_ERROR_FILL_PICTURE
 */
#define PVDEC_ENTROPY_CR_ENTROPY_GENC_CONTROL_GENC_ERROR_FILL_PICTURE_MASK		(0x00000020)
#define PVDEC_ENTROPY_CR_ENTROPY_GENC_CONTROL_GENC_ERROR_FILL_PICTURE_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_GENC_CONTROL_GENC_ERROR_FILL_PICTURE_SHIFT		(5)
#define PVDEC_ENTROPY_CR_ENTROPY_GENC_CONTROL_GENC_ERROR_FILL_PICTURE_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_GENC_CONTROL_GENC_ERROR_FILL_PICTURE_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_GENC_CONTROL_GENC_ERROR_FILL_PICTURE_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_GENC_CONTROL, GENC_ENC_ERROR_RECOVERY
 */
#define PVDEC_ENTROPY_CR_ENTROPY_GENC_CONTROL_GENC_ENC_ERROR_RECOVERY_MASK		(0x00000010)
#define PVDEC_ENTROPY_CR_ENTROPY_GENC_CONTROL_GENC_ENC_ERROR_RECOVERY_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_GENC_CONTROL_GENC_ENC_ERROR_RECOVERY_SHIFT		(4)
#define PVDEC_ENTROPY_CR_ENTROPY_GENC_CONTROL_GENC_ENC_ERROR_RECOVERY_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_GENC_CONTROL_GENC_ENC_ERROR_RECOVERY_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_GENC_CONTROL_GENC_ENC_ERROR_RECOVERY_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_GENC_CONTROL, GENC_FLUSH
 */
#define PVDEC_ENTROPY_CR_ENTROPY_GENC_CONTROL_GENC_FLUSH_MASK		(0x00000002)
#define PVDEC_ENTROPY_CR_ENTROPY_GENC_CONTROL_GENC_FLUSH_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_GENC_CONTROL_GENC_FLUSH_SHIFT		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_GENC_CONTROL_GENC_FLUSH_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_GENC_CONTROL_GENC_FLUSH_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_GENC_CONTROL_GENC_FLUSH_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_GENC_CONTROL, GENC_INITIALISE
 */
#define PVDEC_ENTROPY_CR_ENTROPY_GENC_CONTROL_GENC_INITIALISE_MASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_GENC_CONTROL_GENC_INITIALISE_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_GENC_CONTROL_GENC_INITIALISE_SHIFT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_GENC_CONTROL_GENC_INITIALISE_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_GENC_CONTROL_GENC_INITIALISE_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_GENC_CONTROL_GENC_INITIALISE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_PARAMETER_ADDRESS_OFFSET		(0x0090)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SLICE_PARAMETER_ADDRESS, SLICE_PARAMETER_ADDRESS
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_PARAMETER_ADDRESS_SLICE_PARAMETER_ADDRESS_MASK		(0xFFFFFFC0)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_PARAMETER_ADDRESS_SLICE_PARAMETER_ADDRESS_LSBMASK		(0x03FFFFFF)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_PARAMETER_ADDRESS_SLICE_PARAMETER_ADDRESS_SHIFT		(6)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_PARAMETER_ADDRESS_SLICE_PARAMETER_ADDRESS_LENGTH		(26)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_PARAMETER_ADDRESS_SLICE_PARAMETER_ADDRESS_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_PARAMETER_ADDRESS_SLICE_PARAMETER_ADDRESS_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_PARAMETER_SIZE_OFFSET		(0x0094)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SLICE_PARAMETER_SIZE, SLICE_PARAMETER_SIZE
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_PARAMETER_SIZE_SLICE_PARAMETER_SIZE_MASK		(0x0000000F)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_PARAMETER_SIZE_SLICE_PARAMETER_SIZE_LSBMASK		(0x0000000F)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_PARAMETER_SIZE_SLICE_PARAMETER_SIZE_SHIFT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_PARAMETER_SIZE_SLICE_PARAMETER_SIZE_LENGTH		(4)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_PARAMETER_SIZE_SLICE_PARAMETER_SIZE_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_PARAMETER_SIZE_SLICE_PARAMETER_SIZE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_GENC_FRAGMENT_BASE_ADDRESS_OFFSET		(0x0098)

/*
 * PVDEC_ENTROPY, CR_GENC_FRAGMENT_BASE_ADDRESS, FRAGMENT_BASE_ADDRESS
 */
#define PVDEC_ENTROPY_CR_GENC_FRAGMENT_BASE_ADDRESS_FRAGMENT_BASE_ADDRESS_MASK		(0xFFFFFFC0)
#define PVDEC_ENTROPY_CR_GENC_FRAGMENT_BASE_ADDRESS_FRAGMENT_BASE_ADDRESS_LSBMASK		(0x03FFFFFF)
#define PVDEC_ENTROPY_CR_GENC_FRAGMENT_BASE_ADDRESS_FRAGMENT_BASE_ADDRESS_SHIFT		(6)
#define PVDEC_ENTROPY_CR_GENC_FRAGMENT_BASE_ADDRESS_FRAGMENT_BASE_ADDRESS_LENGTH		(26)
#define PVDEC_ENTROPY_CR_GENC_FRAGMENT_BASE_ADDRESS_FRAGMENT_BASE_ADDRESS_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_GENC_FRAGMENT_BASE_ADDRESS_FRAGMENT_BASE_ADDRESS_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_ENTROPY_CODEC_OFFSET		(0x00A0)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_CODEC, ENTROPY_CHROMA_FORMAT
 */
#define PVDEC_ENTROPY_CR_ENTROPY_CODEC_ENTROPY_CHROMA_FORMAT_MASK		(0x00070000)
#define PVDEC_ENTROPY_CR_ENTROPY_CODEC_ENTROPY_CHROMA_FORMAT_LSBMASK		(0x00000007)
#define PVDEC_ENTROPY_CR_ENTROPY_CODEC_ENTROPY_CHROMA_FORMAT_SHIFT		(16)
#define PVDEC_ENTROPY_CR_ENTROPY_CODEC_ENTROPY_CHROMA_FORMAT_LENGTH		(3)
#define PVDEC_ENTROPY_CR_ENTROPY_CODEC_ENTROPY_CHROMA_FORMAT_DEFAULT		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_CODEC_ENTROPY_CHROMA_FORMAT_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_CODEC, ENTROPY_PROFILE
 */
#define PVDEC_ENTROPY_CR_ENTROPY_CODEC_ENTROPY_PROFILE_MASK		(0x00000700)
#define PVDEC_ENTROPY_CR_ENTROPY_CODEC_ENTROPY_PROFILE_LSBMASK		(0x00000007)
#define PVDEC_ENTROPY_CR_ENTROPY_CODEC_ENTROPY_PROFILE_SHIFT		(8)
#define PVDEC_ENTROPY_CR_ENTROPY_CODEC_ENTROPY_PROFILE_LENGTH		(3)
#define PVDEC_ENTROPY_CR_ENTROPY_CODEC_ENTROPY_PROFILE_DEFAULT		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_CODEC_ENTROPY_PROFILE_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_CODEC, ENTROPY_CODEC_MODE
 */
#define PVDEC_ENTROPY_CR_ENTROPY_CODEC_ENTROPY_CODEC_MODE_MASK		(0x0000000F)
#define PVDEC_ENTROPY_CR_ENTROPY_CODEC_ENTROPY_CODEC_MODE_LSBMASK		(0x0000000F)
#define PVDEC_ENTROPY_CR_ENTROPY_CODEC_ENTROPY_CODEC_MODE_SHIFT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_CODEC_ENTROPY_CODEC_MODE_LENGTH		(4)
#define PVDEC_ENTROPY_CR_ENTROPY_CODEC_ENTROPY_CODEC_MODE_DEFAULT		(12)
#define PVDEC_ENTROPY_CR_ENTROPY_CODEC_ENTROPY_CODEC_MODE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_ENTROPY_CODED_PICTURE_SIZE_OFFSET		(0x00A8)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_CODED_PICTURE_SIZE, ENTROPY_PIC_HEIGHT_MIN1
 */
#define PVDEC_ENTROPY_CR_ENTROPY_CODED_PICTURE_SIZE_ENTROPY_PIC_HEIGHT_MIN1_MASK		(0xFFFF0000)
#define PVDEC_ENTROPY_CR_ENTROPY_CODED_PICTURE_SIZE_ENTROPY_PIC_HEIGHT_MIN1_LSBMASK		(0x0000FFFF)
#define PVDEC_ENTROPY_CR_ENTROPY_CODED_PICTURE_SIZE_ENTROPY_PIC_HEIGHT_MIN1_SHIFT		(16)
#define PVDEC_ENTROPY_CR_ENTROPY_CODED_PICTURE_SIZE_ENTROPY_PIC_HEIGHT_MIN1_LENGTH		(16)
#define PVDEC_ENTROPY_CR_ENTROPY_CODED_PICTURE_SIZE_ENTROPY_PIC_HEIGHT_MIN1_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_CODED_PICTURE_SIZE_ENTROPY_PIC_HEIGHT_MIN1_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_CODED_PICTURE_SIZE, ENTROPY_PIC_WIDTH_MIN1
 */
#define PVDEC_ENTROPY_CR_ENTROPY_CODED_PICTURE_SIZE_ENTROPY_PIC_WIDTH_MIN1_MASK		(0x0000FFFF)
#define PVDEC_ENTROPY_CR_ENTROPY_CODED_PICTURE_SIZE_ENTROPY_PIC_WIDTH_MIN1_LSBMASK		(0x0000FFFF)
#define PVDEC_ENTROPY_CR_ENTROPY_CODED_PICTURE_SIZE_ENTROPY_PIC_WIDTH_MIN1_SHIFT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_CODED_PICTURE_SIZE_ENTROPY_PIC_WIDTH_MIN1_LENGTH		(16)
#define PVDEC_ENTROPY_CR_ENTROPY_CODED_PICTURE_SIZE_ENTROPY_PIC_WIDTH_MIN1_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_CODED_PICTURE_SIZE_ENTROPY_PIC_WIDTH_MIN1_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_START_OFFSET		(0x00B0)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SLICE_START, ENTROPY_SLICE_ENABLE
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_START_ENTROPY_SLICE_ENABLE_MASK		(0x80000000)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_START_ENTROPY_SLICE_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_START_ENTROPY_SLICE_ENABLE_SHIFT		(31)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_START_ENTROPY_SLICE_ENABLE_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_START_ENTROPY_SLICE_ENABLE_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_START_ENTROPY_SLICE_ENABLE_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SLICE_START, ENTROPY_SLICE_CHANGED_CONTEXT
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_START_ENTROPY_SLICE_CHANGED_CONTEXT_MASK		(0x40000000)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_START_ENTROPY_SLICE_CHANGED_CONTEXT_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_START_ENTROPY_SLICE_CHANGED_CONTEXT_SHIFT		(30)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_START_ENTROPY_SLICE_CHANGED_CONTEXT_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_START_ENTROPY_SLICE_CHANGED_CONTEXT_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_START_ENTROPY_SLICE_CHANGED_CONTEXT_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SLICE_START, ENTROPY_SLICE_MB_NO_Y
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_START_ENTROPY_SLICE_MB_NO_Y_MASK		(0x0FFF0000)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_START_ENTROPY_SLICE_MB_NO_Y_LSBMASK		(0x00000FFF)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_START_ENTROPY_SLICE_MB_NO_Y_SHIFT		(16)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_START_ENTROPY_SLICE_MB_NO_Y_LENGTH		(12)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_START_ENTROPY_SLICE_MB_NO_Y_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_START_ENTROPY_SLICE_MB_NO_Y_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SLICE_START, ENTROPY_SLICE_MB_NO_X
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_START_ENTROPY_SLICE_MB_NO_X_MASK		(0x00000FFF)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_START_ENTROPY_SLICE_MB_NO_X_LSBMASK		(0x00000FFF)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_START_ENTROPY_SLICE_MB_NO_X_SHIFT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_START_ENTROPY_SLICE_MB_NO_X_LENGTH		(12)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_START_ENTROPY_SLICE_MB_NO_X_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_START_ENTROPY_SLICE_MB_NO_X_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_END_OFFSET		(0x00B4)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SLICE_END, ENTROPY_SLICE_END_KNOWN
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_END_ENTROPY_SLICE_END_KNOWN_MASK		(0x80000000)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_END_ENTROPY_SLICE_END_KNOWN_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_END_ENTROPY_SLICE_END_KNOWN_SHIFT		(31)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_END_ENTROPY_SLICE_END_KNOWN_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_END_ENTROPY_SLICE_END_KNOWN_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_END_ENTROPY_SLICE_END_KNOWN_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SLICE_END, ENTROPY_SLICE_END_MB_NO_Y
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_END_ENTROPY_SLICE_END_MB_NO_Y_MASK		(0x0FFF0000)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_END_ENTROPY_SLICE_END_MB_NO_Y_LSBMASK		(0x00000FFF)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_END_ENTROPY_SLICE_END_MB_NO_Y_SHIFT		(16)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_END_ENTROPY_SLICE_END_MB_NO_Y_LENGTH		(12)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_END_ENTROPY_SLICE_END_MB_NO_Y_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_END_ENTROPY_SLICE_END_MB_NO_Y_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_SLICE_END, ENTROPY_SLICE_END_MB_NO_X
 */
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_END_ENTROPY_SLICE_END_MB_NO_X_MASK		(0x00000FFF)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_END_ENTROPY_SLICE_END_MB_NO_X_LSBMASK		(0x00000FFF)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_END_ENTROPY_SLICE_END_MB_NO_X_SHIFT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_END_ENTROPY_SLICE_END_MB_NO_X_LENGTH		(12)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_END_ENTROPY_SLICE_END_MB_NO_X_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_SLICE_END_ENTROPY_SLICE_END_MB_NO_X_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_ENTROPY_STATUS_OFFSET		(0x00B8)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_STATUS, FRAGMENT_TABLE_SIZE
 */
#define PVDEC_ENTROPY_CR_ENTROPY_STATUS_FRAGMENT_TABLE_SIZE_MASK		(0xFFFF0000)
#define PVDEC_ENTROPY_CR_ENTROPY_STATUS_FRAGMENT_TABLE_SIZE_LSBMASK		(0x0000FFFF)
#define PVDEC_ENTROPY_CR_ENTROPY_STATUS_FRAGMENT_TABLE_SIZE_SHIFT		(16)
#define PVDEC_ENTROPY_CR_ENTROPY_STATUS_FRAGMENT_TABLE_SIZE_LENGTH		(16)
#define PVDEC_ENTROPY_CR_ENTROPY_STATUS_FRAGMENT_TABLE_SIZE_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_STATUS_FRAGMENT_TABLE_SIZE_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_STATUS, FRAGMENT_ROW
 */
#define PVDEC_ENTROPY_CR_ENTROPY_STATUS_FRAGMENT_ROW_MASK		(0x000003FF)
#define PVDEC_ENTROPY_CR_ENTROPY_STATUS_FRAGMENT_ROW_LSBMASK		(0x000003FF)
#define PVDEC_ENTROPY_CR_ENTROPY_STATUS_FRAGMENT_ROW_SHIFT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_STATUS_FRAGMENT_ROW_LENGTH		(10)
#define PVDEC_ENTROPY_CR_ENTROPY_STATUS_FRAGMENT_ROW_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_STATUS_FRAGMENT_ROW_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_ENTROPY_LAST_MB_OFFSET		(0x00BC)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_LAST_MB, ENTROPY_LAST_MB_NO_Y
 */
#define PVDEC_ENTROPY_CR_ENTROPY_LAST_MB_ENTROPY_LAST_MB_NO_Y_MASK		(0x0FFF0000)
#define PVDEC_ENTROPY_CR_ENTROPY_LAST_MB_ENTROPY_LAST_MB_NO_Y_LSBMASK		(0x00000FFF)
#define PVDEC_ENTROPY_CR_ENTROPY_LAST_MB_ENTROPY_LAST_MB_NO_Y_SHIFT		(16)
#define PVDEC_ENTROPY_CR_ENTROPY_LAST_MB_ENTROPY_LAST_MB_NO_Y_LENGTH		(12)
#define PVDEC_ENTROPY_CR_ENTROPY_LAST_MB_ENTROPY_LAST_MB_NO_Y_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_LAST_MB_ENTROPY_LAST_MB_NO_Y_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_LAST_MB, ENTROPY_LAST_MB_NO_X
 */
#define PVDEC_ENTROPY_CR_ENTROPY_LAST_MB_ENTROPY_LAST_MB_NO_X_MASK		(0x00000FFF)
#define PVDEC_ENTROPY_CR_ENTROPY_LAST_MB_ENTROPY_LAST_MB_NO_X_LSBMASK		(0x00000FFF)
#define PVDEC_ENTROPY_CR_ENTROPY_LAST_MB_ENTROPY_LAST_MB_NO_X_SHIFT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_LAST_MB_ENTROPY_LAST_MB_NO_X_LENGTH		(12)
#define PVDEC_ENTROPY_CR_ENTROPY_LAST_MB_ENTROPY_LAST_MB_NO_X_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_LAST_MB_ENTROPY_LAST_MB_NO_X_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_ENTROPY_PIPE_CONFIG_OFFSET		(0x00C0)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_PIPE_CONFIG, CR_ENTROPY_PIPE_CONFIG
 */
#define PVDEC_ENTROPY_CR_ENTROPY_PIPE_CONFIG_CR_ENTROPY_PIPE_CONFIG_MASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_ENTROPY_PIPE_CONFIG_CR_ENTROPY_PIPE_CONFIG_LSBMASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_ENTROPY_PIPE_CONFIG_CR_ENTROPY_PIPE_CONFIG_SHIFT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_PIPE_CONFIG_CR_ENTROPY_PIPE_CONFIG_LENGTH		(32)
#define PVDEC_ENTROPY_CR_ENTROPY_PIPE_CONFIG_CR_ENTROPY_PIPE_CONFIG_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_PIPE_CONFIG_CR_ENTROPY_PIPE_CONFIG_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_MEM_SECURITY_ENTROPY_0_OFFSET		(0x00D0)

/*
 * PVDEC_ENTROPY, CR_MEM_SECURITY_ENTROPY_0, CR_MEM_SECURITY_ENTROPY_CTRL_0
 */
#define PVDEC_ENTROPY_CR_MEM_SECURITY_ENTROPY_0_CR_MEM_SECURITY_ENTROPY_CTRL_0_MASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_MEM_SECURITY_ENTROPY_0_CR_MEM_SECURITY_ENTROPY_CTRL_0_LSBMASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_MEM_SECURITY_ENTROPY_0_CR_MEM_SECURITY_ENTROPY_CTRL_0_SHIFT		(0)
#define PVDEC_ENTROPY_CR_MEM_SECURITY_ENTROPY_0_CR_MEM_SECURITY_ENTROPY_CTRL_0_LENGTH		(32)
#define PVDEC_ENTROPY_CR_MEM_SECURITY_ENTROPY_0_CR_MEM_SECURITY_ENTROPY_CTRL_0_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_MEM_SECURITY_ENTROPY_0_CR_MEM_SECURITY_ENTROPY_CTRL_0_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_MEM_SECURITY_ENTROPY_1_OFFSET		(0x00D4)

/*
 * PVDEC_ENTROPY, CR_MEM_SECURITY_ENTROPY_1, CR_MEM_SECURITY_ENTROPY_CTRL_1
 */
#define PVDEC_ENTROPY_CR_MEM_SECURITY_ENTROPY_1_CR_MEM_SECURITY_ENTROPY_CTRL_1_MASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_MEM_SECURITY_ENTROPY_1_CR_MEM_SECURITY_ENTROPY_CTRL_1_LSBMASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_MEM_SECURITY_ENTROPY_1_CR_MEM_SECURITY_ENTROPY_CTRL_1_SHIFT		(0)
#define PVDEC_ENTROPY_CR_MEM_SECURITY_ENTROPY_1_CR_MEM_SECURITY_ENTROPY_CTRL_1_LENGTH		(32)
#define PVDEC_ENTROPY_CR_MEM_SECURITY_ENTROPY_1_CR_MEM_SECURITY_ENTROPY_CTRL_1_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_MEM_SECURITY_ENTROPY_1_CR_MEM_SECURITY_ENTROPY_CTRL_1_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_GENC_CONTEXT0_OFFSET		(0x0180)

/*
 * PVDEC_ENTROPY, CR_GENC_CONTEXT0, GENC_CONTEXT0_3
 */
#define PVDEC_ENTROPY_CR_GENC_CONTEXT0_GENC_CONTEXT0_3_MASK		(0x003F0000)
#define PVDEC_ENTROPY_CR_GENC_CONTEXT0_GENC_CONTEXT0_3_LSBMASK		(0x0000003F)
#define PVDEC_ENTROPY_CR_GENC_CONTEXT0_GENC_CONTEXT0_3_SHIFT		(16)
#define PVDEC_ENTROPY_CR_GENC_CONTEXT0_GENC_CONTEXT0_3_LENGTH		(6)
#define PVDEC_ENTROPY_CR_GENC_CONTEXT0_GENC_CONTEXT0_3_DEFAULT		(16)
#define PVDEC_ENTROPY_CR_GENC_CONTEXT0_GENC_CONTEXT0_3_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_GENC_CONTEXT0, GENC_CONTEXT0_2
 */
#define PVDEC_ENTROPY_CR_GENC_CONTEXT0_GENC_CONTEXT0_2_MASK		(0x00003F00)
#define PVDEC_ENTROPY_CR_GENC_CONTEXT0_GENC_CONTEXT0_2_LSBMASK		(0x0000003F)
#define PVDEC_ENTROPY_CR_GENC_CONTEXT0_GENC_CONTEXT0_2_SHIFT		(8)
#define PVDEC_ENTROPY_CR_GENC_CONTEXT0_GENC_CONTEXT0_2_LENGTH		(6)
#define PVDEC_ENTROPY_CR_GENC_CONTEXT0_GENC_CONTEXT0_2_DEFAULT		(16)
#define PVDEC_ENTROPY_CR_GENC_CONTEXT0_GENC_CONTEXT0_2_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_GENC_CONTEXT0, GENC_CONTEXT0_1
 */
#define PVDEC_ENTROPY_CR_GENC_CONTEXT0_GENC_CONTEXT0_1_MASK		(0x0000003F)
#define PVDEC_ENTROPY_CR_GENC_CONTEXT0_GENC_CONTEXT0_1_LSBMASK		(0x0000003F)
#define PVDEC_ENTROPY_CR_GENC_CONTEXT0_GENC_CONTEXT0_1_SHIFT		(0)
#define PVDEC_ENTROPY_CR_GENC_CONTEXT0_GENC_CONTEXT0_1_LENGTH		(6)
#define PVDEC_ENTROPY_CR_GENC_CONTEXT0_GENC_CONTEXT0_1_DEFAULT		(16)
#define PVDEC_ENTROPY_CR_GENC_CONTEXT0_GENC_CONTEXT0_1_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_GENC_CONTEXT1_OFFSET		(0x0184)

/*
 * PVDEC_ENTROPY, CR_GENC_CONTEXT1, GENC_CONTEXT1_3
 */
#define PVDEC_ENTROPY_CR_GENC_CONTEXT1_GENC_CONTEXT1_3_MASK		(0x003F0000)
#define PVDEC_ENTROPY_CR_GENC_CONTEXT1_GENC_CONTEXT1_3_LSBMASK		(0x0000003F)
#define PVDEC_ENTROPY_CR_GENC_CONTEXT1_GENC_CONTEXT1_3_SHIFT		(16)
#define PVDEC_ENTROPY_CR_GENC_CONTEXT1_GENC_CONTEXT1_3_LENGTH		(6)
#define PVDEC_ENTROPY_CR_GENC_CONTEXT1_GENC_CONTEXT1_3_DEFAULT		(16)
#define PVDEC_ENTROPY_CR_GENC_CONTEXT1_GENC_CONTEXT1_3_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_GENC_CONTEXT1, GENC_CONTEXT1_2
 */
#define PVDEC_ENTROPY_CR_GENC_CONTEXT1_GENC_CONTEXT1_2_MASK		(0x00003F00)
#define PVDEC_ENTROPY_CR_GENC_CONTEXT1_GENC_CONTEXT1_2_LSBMASK		(0x0000003F)
#define PVDEC_ENTROPY_CR_GENC_CONTEXT1_GENC_CONTEXT1_2_SHIFT		(8)
#define PVDEC_ENTROPY_CR_GENC_CONTEXT1_GENC_CONTEXT1_2_LENGTH		(6)
#define PVDEC_ENTROPY_CR_GENC_CONTEXT1_GENC_CONTEXT1_2_DEFAULT		(16)
#define PVDEC_ENTROPY_CR_GENC_CONTEXT1_GENC_CONTEXT1_2_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_GENC_CONTEXT1, GENC_CONTEXT1_1
 */
#define PVDEC_ENTROPY_CR_GENC_CONTEXT1_GENC_CONTEXT1_1_MASK		(0x0000003F)
#define PVDEC_ENTROPY_CR_GENC_CONTEXT1_GENC_CONTEXT1_1_LSBMASK		(0x0000003F)
#define PVDEC_ENTROPY_CR_GENC_CONTEXT1_GENC_CONTEXT1_1_SHIFT		(0)
#define PVDEC_ENTROPY_CR_GENC_CONTEXT1_GENC_CONTEXT1_1_LENGTH		(6)
#define PVDEC_ENTROPY_CR_GENC_CONTEXT1_GENC_CONTEXT1_1_DEFAULT		(16)
#define PVDEC_ENTROPY_CR_GENC_CONTEXT1_GENC_CONTEXT1_1_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_ENTROPY_FRAME_ID_OFFSET		(0x0190)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_FRAME_ID, ENTROPY_FRAME_ID
 */
#define PVDEC_ENTROPY_CR_ENTROPY_FRAME_ID_ENTROPY_FRAME_ID_MASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_ENTROPY_FRAME_ID_ENTROPY_FRAME_ID_LSBMASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_ENTROPY_FRAME_ID_ENTROPY_FRAME_ID_SHIFT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_FRAME_ID_ENTROPY_FRAME_ID_LENGTH		(32)
#define PVDEC_ENTROPY_CR_ENTROPY_FRAME_ID_ENTROPY_FRAME_ID_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_FRAME_ID_ENTROPY_FRAME_ID_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_ENTROPY_PERF_STATUS_OFFSET		(0x01A8)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_PERF_STATUS, ENTROPY_PERF_DATA_VALID
 */
#define PVDEC_ENTROPY_CR_ENTROPY_PERF_STATUS_ENTROPY_PERF_DATA_VALID_MASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_PERF_STATUS_ENTROPY_PERF_DATA_VALID_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_ENTROPY_PERF_STATUS_ENTROPY_PERF_DATA_VALID_SHIFT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_PERF_STATUS_ENTROPY_PERF_DATA_VALID_LENGTH		(1)
#define PVDEC_ENTROPY_CR_ENTROPY_PERF_STATUS_ENTROPY_PERF_DATA_VALID_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_PERF_STATUS_ENTROPY_PERF_DATA_VALID_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_ENTROPY_PERF_DATA_OFFSET		(0x01AC)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_PERF_DATA, ENTROPY_PERF_METRIC_ID
 */
#define PVDEC_ENTROPY_CR_ENTROPY_PERF_DATA_ENTROPY_PERF_METRIC_ID_MASK		(0xFF000000)
#define PVDEC_ENTROPY_CR_ENTROPY_PERF_DATA_ENTROPY_PERF_METRIC_ID_LSBMASK		(0x000000FF)
#define PVDEC_ENTROPY_CR_ENTROPY_PERF_DATA_ENTROPY_PERF_METRIC_ID_SHIFT		(24)
#define PVDEC_ENTROPY_CR_ENTROPY_PERF_DATA_ENTROPY_PERF_METRIC_ID_LENGTH		(8)
#define PVDEC_ENTROPY_CR_ENTROPY_PERF_DATA_ENTROPY_PERF_METRIC_ID_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_PERF_DATA_ENTROPY_PERF_METRIC_ID_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_ENTROPY_PERF_DATA, ENTROPY_PERF_METRIC_VALUE
 */
#define PVDEC_ENTROPY_CR_ENTROPY_PERF_DATA_ENTROPY_PERF_METRIC_VALUE_MASK		(0x00FFFFFF)
#define PVDEC_ENTROPY_CR_ENTROPY_PERF_DATA_ENTROPY_PERF_METRIC_VALUE_LSBMASK		(0x00FFFFFF)
#define PVDEC_ENTROPY_CR_ENTROPY_PERF_DATA_ENTROPY_PERF_METRIC_VALUE_SHIFT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_PERF_DATA_ENTROPY_PERF_METRIC_VALUE_LENGTH		(24)
#define PVDEC_ENTROPY_CR_ENTROPY_PERF_DATA_ENTROPY_PERF_METRIC_VALUE_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENTROPY_PERF_DATA_ENTROPY_PERF_METRIC_VALUE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_HEVC_PARSER_SIGNATURE_OFFSET		(0x01B8)

/*
 * PVDEC_ENTROPY, CR_HEVC_PARSER_SIGNATURE, HEVC_PARSER_SIGNATURE
 */
#define PVDEC_ENTROPY_CR_HEVC_PARSER_SIGNATURE_HEVC_PARSER_SIGNATURE_MASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_HEVC_PARSER_SIGNATURE_HEVC_PARSER_SIGNATURE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_HEVC_PARSER_SIGNATURE_HEVC_PARSER_SIGNATURE_SHIFT		(0)
#define PVDEC_ENTROPY_CR_HEVC_PARSER_SIGNATURE_HEVC_PARSER_SIGNATURE_LENGTH		(32)
#define PVDEC_ENTROPY_CR_HEVC_PARSER_SIGNATURE_HEVC_PARSER_SIGNATURE_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_HEVC_PARSER_SIGNATURE_HEVC_PARSER_SIGNATURE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_ENCAP_SIGNATURE_OFFSET		(0x01BC)

/*
 * PVDEC_ENTROPY, CR_ENCAP_SIGNATURE, ENCAP_SIGNATURE
 */
#define PVDEC_ENTROPY_CR_ENCAP_SIGNATURE_ENCAP_SIGNATURE_MASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_ENCAP_SIGNATURE_ENCAP_SIGNATURE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_ENCAP_SIGNATURE_ENCAP_SIGNATURE_SHIFT		(0)
#define PVDEC_ENTROPY_CR_ENCAP_SIGNATURE_ENCAP_SIGNATURE_LENGTH		(32)
#define PVDEC_ENTROPY_CR_ENCAP_SIGNATURE_ENCAP_SIGNATURE_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_ENCAP_SIGNATURE_ENCAP_SIGNATURE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_GENC_FRAGMENT_SIGNATURE_OFFSET		(0x01D0)

/*
 * PVDEC_ENTROPY, CR_GENC_FRAGMENT_SIGNATURE, GENC_FRAGMENT_SIGNATURE
 */
#define PVDEC_ENTROPY_CR_GENC_FRAGMENT_SIGNATURE_GENC_FRAGMENT_SIGNATURE_MASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_GENC_FRAGMENT_SIGNATURE_GENC_FRAGMENT_SIGNATURE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_GENC_FRAGMENT_SIGNATURE_GENC_FRAGMENT_SIGNATURE_SHIFT		(0)
#define PVDEC_ENTROPY_CR_GENC_FRAGMENT_SIGNATURE_GENC_FRAGMENT_SIGNATURE_LENGTH		(32)
#define PVDEC_ENTROPY_CR_GENC_FRAGMENT_SIGNATURE_GENC_FRAGMENT_SIGNATURE_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_GENC_FRAGMENT_SIGNATURE_GENC_FRAGMENT_SIGNATURE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_GENC_FRAGMENT_READ_SIGNATURE_OFFSET		(0x01D4)

/*
 * PVDEC_ENTROPY, CR_GENC_FRAGMENT_READ_SIGNATURE, GENC_FRAGMENT_READ_SIGNATURE
 */
#define PVDEC_ENTROPY_CR_GENC_FRAGMENT_READ_SIGNATURE_GENC_FRAGMENT_READ_SIGNATURE_MASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_GENC_FRAGMENT_READ_SIGNATURE_GENC_FRAGMENT_READ_SIGNATURE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_GENC_FRAGMENT_READ_SIGNATURE_GENC_FRAGMENT_READ_SIGNATURE_SHIFT		(0)
#define PVDEC_ENTROPY_CR_GENC_FRAGMENT_READ_SIGNATURE_GENC_FRAGMENT_READ_SIGNATURE_LENGTH		(32)
#define PVDEC_ENTROPY_CR_GENC_FRAGMENT_READ_SIGNATURE_GENC_FRAGMENT_READ_SIGNATURE_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_GENC_FRAGMENT_READ_SIGNATURE_GENC_FRAGMENT_READ_SIGNATURE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_GENC_FRAGMENT_WRADDR_SIGNATURE_OFFSET		(0x01D8)

/*
 * PVDEC_ENTROPY, CR_GENC_FRAGMENT_WRADDR_SIGNATURE, GENC_FRAGMENT_WRADDR_SIGNATURE
 */
#define PVDEC_ENTROPY_CR_GENC_FRAGMENT_WRADDR_SIGNATURE_GENC_FRAGMENT_WRADDR_SIGNATURE_MASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_GENC_FRAGMENT_WRADDR_SIGNATURE_GENC_FRAGMENT_WRADDR_SIGNATURE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_GENC_FRAGMENT_WRADDR_SIGNATURE_GENC_FRAGMENT_WRADDR_SIGNATURE_SHIFT		(0)
#define PVDEC_ENTROPY_CR_GENC_FRAGMENT_WRADDR_SIGNATURE_GENC_FRAGMENT_WRADDR_SIGNATURE_LENGTH		(32)
#define PVDEC_ENTROPY_CR_GENC_FRAGMENT_WRADDR_SIGNATURE_GENC_FRAGMENT_WRADDR_SIGNATURE_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_GENC_FRAGMENT_WRADDR_SIGNATURE_GENC_FRAGMENT_WRADDR_SIGNATURE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_GENC_ENGINE_OUTPUT_SIGNATURE_OFFSET		(0x01E0)

/*
 * PVDEC_ENTROPY, CR_GENC_ENGINE_OUTPUT_SIGNATURE, GENC_ENGINE_OUTPUT_SIGNATURE
 */
#define PVDEC_ENTROPY_CR_GENC_ENGINE_OUTPUT_SIGNATURE_GENC_ENGINE_OUTPUT_SIGNATURE_MASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_GENC_ENGINE_OUTPUT_SIGNATURE_GENC_ENGINE_OUTPUT_SIGNATURE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_GENC_ENGINE_OUTPUT_SIGNATURE_GENC_ENGINE_OUTPUT_SIGNATURE_SHIFT		(0)
#define PVDEC_ENTROPY_CR_GENC_ENGINE_OUTPUT_SIGNATURE_GENC_ENGINE_OUTPUT_SIGNATURE_LENGTH		(32)
#define PVDEC_ENTROPY_CR_GENC_ENGINE_OUTPUT_SIGNATURE_GENC_ENGINE_OUTPUT_SIGNATURE_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_GENC_ENGINE_OUTPUT_SIGNATURE_GENC_ENGINE_OUTPUT_SIGNATURE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_HEVC_PARAMS_SIGNATURE_OFFSET		(0x01E4)

/*
 * PVDEC_ENTROPY, CR_HEVC_PARAMS_SIGNATURE, HEVC_PARAMS_SIGNATURE
 */
#define PVDEC_ENTROPY_CR_HEVC_PARAMS_SIGNATURE_HEVC_PARAMS_SIGNATURE_MASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_HEVC_PARAMS_SIGNATURE_HEVC_PARAMS_SIGNATURE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_ENTROPY_CR_HEVC_PARAMS_SIGNATURE_HEVC_PARAMS_SIGNATURE_SHIFT		(0)
#define PVDEC_ENTROPY_CR_HEVC_PARAMS_SIGNATURE_HEVC_PARAMS_SIGNATURE_LENGTH		(32)
#define PVDEC_ENTROPY_CR_HEVC_PARAMS_SIGNATURE_HEVC_PARAMS_SIGNATURE_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_HEVC_PARAMS_SIGNATURE_HEVC_PARAMS_SIGNATURE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_OFFSET		(0x01FC)

/*
 * PVDEC_ENTROPY, CR_SIGNATURE_INIT, HEVC_PARAMS_SIGNATURE_INIT
 */
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_HEVC_PARAMS_SIGNATURE_INIT_MASK		(0x00001000)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_HEVC_PARAMS_SIGNATURE_INIT_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_HEVC_PARAMS_SIGNATURE_INIT_SHIFT		(12)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_HEVC_PARAMS_SIGNATURE_INIT_LENGTH		(1)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_HEVC_PARAMS_SIGNATURE_INIT_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_HEVC_PARAMS_SIGNATURE_INIT_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_SIGNATURE_INIT, HEVC_PARSER_SIGNATURE_INIT
 */
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_HEVC_PARSER_SIGNATURE_INIT_MASK		(0x00000800)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_HEVC_PARSER_SIGNATURE_INIT_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_HEVC_PARSER_SIGNATURE_INIT_SHIFT		(11)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_HEVC_PARSER_SIGNATURE_INIT_LENGTH		(1)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_HEVC_PARSER_SIGNATURE_INIT_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_HEVC_PARSER_SIGNATURE_INIT_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_SIGNATURE_INIT, ENCAP_SIGNATURE_INIT
 */
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_ENCAP_SIGNATURE_INIT_MASK		(0x00000400)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_ENCAP_SIGNATURE_INIT_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_ENCAP_SIGNATURE_INIT_SHIFT		(10)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_ENCAP_SIGNATURE_INIT_LENGTH		(1)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_ENCAP_SIGNATURE_INIT_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_ENCAP_SIGNATURE_INIT_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_SIGNATURE_INIT, GENC_ENGINE_OUTPUT_SIGNATURE_INIT
 */
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_GENC_ENGINE_OUTPUT_SIGNATURE_INIT_MASK		(0x00000100)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_GENC_ENGINE_OUTPUT_SIGNATURE_INIT_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_GENC_ENGINE_OUTPUT_SIGNATURE_INIT_SHIFT		(8)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_GENC_ENGINE_OUTPUT_SIGNATURE_INIT_LENGTH		(1)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_GENC_ENGINE_OUTPUT_SIGNATURE_INIT_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_GENC_ENGINE_OUTPUT_SIGNATURE_INIT_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_SIGNATURE_INIT, GENC_FRAGMENT_WRADDR_SIGNATURE_INIT
 */
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_GENC_FRAGMENT_WRADDR_SIGNATURE_INIT_MASK		(0x00000040)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_GENC_FRAGMENT_WRADDR_SIGNATURE_INIT_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_GENC_FRAGMENT_WRADDR_SIGNATURE_INIT_SHIFT		(6)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_GENC_FRAGMENT_WRADDR_SIGNATURE_INIT_LENGTH		(1)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_GENC_FRAGMENT_WRADDR_SIGNATURE_INIT_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_GENC_FRAGMENT_WRADDR_SIGNATURE_INIT_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_SIGNATURE_INIT, GENC_FRAGMENT_READ_SIGNATURE_INIT
 */
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_GENC_FRAGMENT_READ_SIGNATURE_INIT_MASK		(0x00000020)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_GENC_FRAGMENT_READ_SIGNATURE_INIT_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_GENC_FRAGMENT_READ_SIGNATURE_INIT_SHIFT		(5)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_GENC_FRAGMENT_READ_SIGNATURE_INIT_LENGTH		(1)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_GENC_FRAGMENT_READ_SIGNATURE_INIT_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_GENC_FRAGMENT_READ_SIGNATURE_INIT_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_SIGNATURE_INIT, GENC_FRAGMENT_SIGNATURE_INIT
 */
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_GENC_FRAGMENT_SIGNATURE_INIT_MASK		(0x00000010)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_GENC_FRAGMENT_SIGNATURE_INIT_LSBMASK		(0x00000001)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_GENC_FRAGMENT_SIGNATURE_INIT_SHIFT		(4)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_GENC_FRAGMENT_SIGNATURE_INIT_LENGTH		(1)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_GENC_FRAGMENT_SIGNATURE_INIT_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_GENC_FRAGMENT_SIGNATURE_INIT_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_ENTROPY, CR_SIGNATURE_INIT, GENC_BUFFER_SIGNATURE_INIT
 */
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_GENC_BUFFER_SIGNATURE_INIT_MASK		(0x0000000F)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_GENC_BUFFER_SIGNATURE_INIT_LSBMASK		(0x0000000F)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_GENC_BUFFER_SIGNATURE_INIT_SHIFT		(0)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_GENC_BUFFER_SIGNATURE_INIT_LENGTH		(4)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_GENC_BUFFER_SIGNATURE_INIT_DEFAULT		(0)
#define PVDEC_ENTROPY_CR_SIGNATURE_INIT_GENC_BUFFER_SIGNATURE_INIT_SIGNED_FIELD	(IMG_FALSE)

#endif
